Subject: Re: netconsole module cannot be removed

From: Chuck Ebbert <[email-masked]>
Date: Mon, 26 Feb 2007 16:40:57 -0500

Stephen Hemminger wrote:
> On Mon, 26 Feb 2007 15:35:11 -0500
> Chuck Ebbert <[email-masked]> wrote:
> 
>> Trying to remove netconsole, rmmod goes into a tight loop with
>> 100% CPU usage. It can't be killed with 'kill -9'. Shutdown
>> works, though. Kernel is 2.6.20 FC6 config, and I'm 99.9%
>> sure the module signing has nothing to do with this.
>>
> 
> No it probably has to do with printing a message during module removal.
> 

Yeah that could explain it.

But when I load it after the network has started I can't get it to
output any kernel messages to the network interface, either. I'll
try to reproduce this on a vanilla kernel next...